Bug 965474 - SY quickstart camel-soap-proxy JBDS warnings/errors
SY quickstart camel-soap-proxy JBDS warnings/errors
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, SwitchYard (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: DR4
: ---
Assigned To: Douglas Palmer
ppecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 05:48 EDT by ppecka
Modified: 2014-11-17 10:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
You will see warning messages in JBDS "Problems" View after you import a camel-soap-proxy quick start as a maven project.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1642 Minor Closed SY quickstart camel-soap-proxy JBDS warnings/errors 2015-07-28 08:36:42 EDT
JBoss Issue Tracker SWITCHYARD-2385 Major Resolved Cleanup problems/warnings when importing quick starts into JBDS 2015-07-28 08:36:42 EDT

  None (edit)
Description ppecka 2013-05-21 05:48:16 EDT
Description of problem:
Warnings/Errors found in JBDS "Problems" View, right after quickstart is imported as maven project.

steps to reproduce:
1. Start JBDS
2. import existing maven project
3. Window / Show View / Problems
4. check for errors

Actual results:
GroupId is duplicate of parent groupId  pom.xml /switchyard-quickstart-camel-soap-proxy line 31 Maven pom Loading Problem

Promoted Reference Name Mismatch: The component reference must have the same name as the reference promoting it (PromotedReverseService).   switchyard.xml  /switchyard-quickstart-camel-soap-proxy/src/main/resources/META-INF Unknown SwitchYard

Unused Capability: The "Bean" capability is configured on the project, but is not required by any SwitchYard binding or implementation types used in the project.   switchyard.xml  /switchyard-quickstart-camel-soap-proxy/src/main/resources/META-INF Unknown SwitchYard



Expected results:
No errors/warnings shown

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=965155
Comment 1 JBoss JIRA Server 2013-08-13 19:16:10 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1642

This patch fixes the errors reported.
Comment 2 JBoss JIRA Server 2013-08-19 12:55:03 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1642

PR for the pom and switchyard config tweaks to resolve warnings
Comment 3 JBoss JIRA Server 2013-08-27 10:22:08 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1642

pushed
Comment 7 Andrej Podhradsky 2013-12-17 11:06:02 EST
In FSW 6.0.0.ER7 there is the following error

cvc-complex-type.2.4.a: Invalid content was found starting with element 'soap:socketAddr'. One of '{"urn:switchyard-component-soap:config:1.0":endpointConfig, "urn:switchyard-component-soap:config:1.0":mtom, "urn:switchyard-component-soap:config:1.0":inInterceptors, "urn:switchyard-component-soap:config:1.0":outInterceptors}' is expected.
Comment 8 Keith Babo 2013-12-17 11:30:20 EST
This was introduced as a side effect of another change:
https://bugzilla.redhat.com/show_bug.cgi?id=1016079

Original issue reported by this BZ has been fixed and the new warning will not be fixed as it's cosmetic in nature and does not impact the runtime behavior of the application.
Comment 10 JBoss JIRA Server 2014-06-16 19:51:59 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1642 to Closed
Comment 11 JBoss JIRA Server 2014-11-17 10:38:55 EST
Douglas Palmer <dpalmer@redhat.com> updated the status of jira SWITCHYARD-2385 to Reopened

Note You need to log in before you can comment on or make changes to this bug.